# class Gem::Commands::QueryCommand

### Public Class Methods

new (name = "query", summary = "Query gem information in local or remote repositories")
Source

    # File lib/rubygems/commands/query_command.rb, line 21
    def initialize(name = "query", summary = "Query gem information in local or remote repositories")
      super name, summary,
           domain: :local, details: false, versions: true,
           installed: nil, version: Gem::Requirement.default

      add_option("-n", "--name-matches REGEXP",
                 "Name of gem(s) to query on matches the",
                 "provided REGEXP") do |value, options|
        options[:name] = /#{value}/i
      end

      add_query_options
    end

Calls superclass method `Gem::Command::new`

### Public Instance Methods

deprecation_warning ()
Source

    # File lib/rubygems/commands/query_command.rb, line 14
    def deprecation_warning
      warning_without_suggested_alternatives

      message = "It is recommended that you use `gem search` or `gem list` instead.\n"
      alert_warning message unless Gem::Deprecate.skip
    end

Also aliased as: warning_without_suggested_alternatives
warning_without_suggested_alternatives ()
Alias for: deprecation_warning